import os

import base64

class listener:
	def __init__(self):
		self.calibration_path = "/var/lib/tcos/tftp/conf/"
		

	def update_calibration_smart(self,encoded_file,mac='00:00:00:00:00:00',ext=None):
		#print(calibration)
		if (os.path.isdir(self.calibration_path)):
			if (mac != "00:00:00:00:00:00" and ext != None):
				if (os.path.isfile(os.path.join(self.calibration_path, mac + "_" + ext + ".cfg"))):
					os.remove(os.path.join(self.calibration_path, mac + "_" + ext + ".cfg"))
				f=open(os.path.join(self.calibration_path, mac + "_" + ext + ".cfg"), "w")
				f.write(base64.decodestring(encoded_file))
				f.close()
		return "ok"
		
	def get_calibration_smart(self,mac='00:00:00:00:00:00',ext=None):
		#print(calibration)
		if os.path.isdir(self.calibration_path):
			if (mac != "00:00:00:00:00:00" and ext != None):
				if os.path.isfile(os.path.join(self.calibration_path, mac + "_" + ext + ".cfg")):
					f=open(os.path.join(self.calibration_path, mac + "_" + ext + ".cfg"), 'rt')
					initial_data = f.read()
					encoded_data = base64.b64encode(initial_data)
					f.close()
					return encoded_data
		return "fail"
		
